Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 643996 - sci-libs/gdal-2.2.3-r1 stabilisation
Summary: sci-libs/gdal-2.2.3-r1 stabilisation
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: CVE-2017-14975, CVE-2017-14976, CVE-2017-14977 644456 649688
  Show dependency tree
 
Reported: 2018-01-09 11:11 UTC by Andreas Sturmlechner
Modified: 2018-03-12 04:09 UTC (History)
1 user (show)

See Also:
Package list:
sci-libs/gdal-2.2.3-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-09 11:11:34 UTC
Will be required for moving on with poppler stabilisations.
Comment 1 Stabilization helper bot gentoo-dev 2018-01-16 21:00:35 UTC
An automated check of this bug failed - repoman reported dependency errors (17 lines truncated): 

> dependency.bad sci-libs/gdal/gdal-2.2.3-r1.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['sci-libs/libgeotiff', 'sci-libs/armadillo:=[lapack]', '>=sci-libs/geos-2.2.1', 'sci-libs/netcdf:=', 'dev-db/spatialite', 'dev-libs/freexl']
> dependency.bad sci-libs/gdal/gdal-2.2.3-r1.ebuild: RDEPEND: alpha(default/linux/alpha/13.0) ['sci-libs/libgeotiff', 'sci-libs/armadillo:=[lapack]', '>=sci-libs/geos-2.2.1', 'sci-libs/netcdf:=', 'dev-db/spatialite', 'dev-libs/freexl']
> dependency.bad sci-libs/gdal/gdal-2.2.3-r1.ebuild: DEPEND: alpha(default/linux/alpha/13.0) ['sci-libs/libgeotiff', 'sci-libs/armadillo:=[lapack]', '>=sci-libs/geos-2.2.1', 'dev-java/jackcess:1', 'sci-libs/netcdf:=', 'dev-db/spatialite', 'dev-libs/freexl']
Comment 2 Stabilization helper bot gentoo-dev 2018-01-16 22:09:00 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 3 Thomas Deutschmann gentoo-dev 2018-01-17 05:10:46 UTC
x86 stable
Comment 4 Larry the Git Cow gentoo-dev 2018-02-02 13:33:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=515de2a261e9a6f16abc0f1e41a78b2ac82917d0

commit 515de2a261e9a6f16abc0f1e41a78b2ac82917d0
Author:     Michael Palimaka <kensington@gentoo.org>
AuthorDate: 2018-02-02 13:32:56 +0000
Commit:     Michael Palimaka <kensington@gentoo.org>
CommitDate: 2018-02-02 13:33:03 +0000

    sci-libs/gdal: stabilise 2.2.3-r1 for amd64
    
    Bug: https://bugs.gentoo.org/643996
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 sci-libs/gdal/gdal-2.2.3-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 5 Larry the Git Cow gentoo-dev 2018-02-04 10:18:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b2289888f129d28cc0238e38f41fffdf5b55353

commit 1b2289888f129d28cc0238e38f41fffdf5b55353
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-02-04 00:43:49 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-02-04 10:15:25 +0000

    sci-libs/gdal: Drop old
    
    Closes: https://bugs.gentoo.org/643996
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sci-libs/gdal/Manifest                             |   1 -
 sci-libs/gdal/files/gdal-1.5.0-soname-r1.patch     |  13 -
 .../gdal-2.0.3-add-dlopen-support-for-jvm.patch    | 232 ----------------
 sci-libs/gdal/files/gdal-2.0.3-install_name.patch  |  49 ----
 sci-libs/gdal/gdal-2.0.3.ebuild                    | 291 ---------------------
 5 files changed, 586 deletions(-)
Comment 6 Andreas Sturmlechner gentoo-dev 2018-03-04 23:25:18 UTC
Re-opening for depending scribus stabilisation (liblas/openscenegraph).
Comment 7 Matt Turner gentoo-dev 2018-03-12 04:09:20 UTC
ppc64 stable